<?php

namespace App\Modules\Shared\Domain\QueryBuilder;

class DoubleQueryBuilder
{

    protected SingleQueryBuilder $first;
    protected SingleQueryBuilder $second;

    public function __construct()
    {
        $this->first = new SingleQueryBuilder();
        $this->second = new SingleQueryBuilder();
    }

    public function first(): SingleQueryBuilder
    {
        return $this->first;
    }

    public function second(): SingleQueryBuilder
    {
        return $this->second;
    }
}
